%define anolis_release 41
Name:		perl-DateTime-Calendar-Mayan 
Version:	0.0601 
Release:	%{anolis_release}%{?dist}
License:	GPL+ or Artistic 
Summary:	Mayan Long Count Calendar 
URL:		https://metacpan.org/release/DateTime-Calendar-Mayan
Source0:	https://cpan.metacpan.org/modules/by-module/DateTime/DateTime-Calendar-Mayan-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Module::Build::Compat)
# Runtime
BuildRequires:	perl(constant)
BuildRequires:	perl(DateTime) >= 0.15
BuildRequires:	perl(Params::Validate) >= 0.64
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(DateTime::Duration)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Dependencies

%description
An implementation of the Mayan Long Count, Haab, and Tzolkin calendars
as defined in "Calendrical Calculations The Millennium Edition".
Supplemented by "Frequently Asked Questions about Calendars".

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n DateTime-Calendar-Mayan-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/DateTime/
%{_mandir}/man3/DateTime::Calendar::Mayan.3*

%files doc
%doc Changes README Todo

%changelog
* Fri Feb 10 2023 Funda Wang <fundawang@yeah.net> - 0.0601-41
- Import package for anolis 23
